curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/sso/applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appIds": [
"<string>"
],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/sso/applications"
payload = {
"appIds": ["<string>"],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({appIds: ['<string>'], pageSize: 123, pageToken: '<string>', query: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/sso/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appEntitlementId": "<string>",
"appId": "<string>",
"assertionLifetime": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"oidc": {
"claimMappings": [
{
"claimName": "<string>",
"userAttributeMappingId": "<string>"
}
]
},
"saml": {
"acsUrls": [
"<string>"
],
"spEntityId": "<string>",
"attributeMappings": [
{
"name": "<string>",
"userAttributeMappingId": "<string>",
"friendlyName": "<string>"
}
],
"encryptAssertions": true,
"requireSignedAuthnRequests": true,
"signAssertions": true,
"signResponses": true,
"spEncryptionCertificate": "aSDinaTvuI8gbWludGxpZnk=",
"spSigningCertificates": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"sectorId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Search
Search SSO applications across the tenant. Supports filtering by the applications in your catalog and by display-name or description text.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
SSOApplicationServiceSearchRequest searches SSO applications with filters.
Optional filter by applications in your catalog. Empty matches any application.
Maximum number of results to return per page.
Pagination token from a previous response.
Optional text query matched against display_name and description.
Was this page helpful?